import { MerkleTreeLeafNode } from "./LeafNode"

export class MerkleTreeLeafNodeList {
    constructor(){
        /**
         * @type {Array<MerkleTreeLeafNode>}
         */
        this.arr = []
    }

    /**
     * @param {MerkleTreeLeafNode[]} leafNodes
     */
    add(...leafNodes){
        this.arr.push(...leafNodes)
    }
}